<!-- custom menu bar stylings-->
<?php
  $menu_bar_bg=get_theme_mod('menu_bar_bg','#FFFFFF');
  $menu_bar_color=get_theme_mod('menu_color','#5a5560');
  $menu_bar_color_active=get_theme_mod('menu_color_active','#02acac');
  $fixed_menu_css_header=get_theme_mod('fixed_menu',1);

 ?>
  <style>

  .dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover{
    background-color: <?php echo $menu_bar_bg; ?> !important;
  }

  .navbar_eroshik_savp {
    background: <?php echo esc_attr($menu_bar_bg); ?>;
    border-bottom: 1px solid #e5eaec;
   }

    .dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover {
          color:<?php echo esc_attr($menu_bar_color_active) ?> !important;
      }
      .navbar-nav li a:hover, ul li a:focus {
          color:<?php echo esc_attr($menu_bar_color_active) ?> !important;
      }


      .navbar_eroshik_savp li.open a {
        background-color:<?php echo esc_attr($menu_bar_bg); ?> !important;
       }

        .navbar_eroshik_savp li.open a:hover, .navbar_eroshik_savp li.open a:focus, .navbar_eroshik_savp li.open a:visited {
          background-color: <?php echo esc_attr($menu_bar_bg); ?>; }

      .navbar_eroshik_savp li a {
        color: <?php echo esc_attr($menu_bar_color)?>;
      }


        .navbar-nav >  li> a:after {
            background: <?php echo esc_attr($menu_bar_color); ?>;
         }
      .navbar_eroshik_savp li ul.dropdown-menu {
        background: <?php echo esc_attr($menu_bar_bg); ?>;
      }

      .navbar_eroshik_savp li ul.dropdown-menu li a:hover, .navbar_eroshik_savp li ul.dropdown-menu li a:focus, .navbar_eroshik_savp li ul.dropdown-menu li a:visited {
            background: <?php echo esc_attr($menu_bar_bg); ?>;
            color: <?php echo esc_attr($menu_bar_color); ?>; }

</style>
<!-- eo custom menu bar stylings-->


<div  id="<?php echo ($fixed_menu_css_header==1 ? 'primary_header_nav':'') ?>" class="nav_container">
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark navbar_eroshik_savp">
      <button class="navbar-toggler btn btn-default" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="<?php echo esc_attr(__('Toggle navigation','eroshiksavp')); ?>">
     <span class="fa fa-align-justify" aria-hidden="true"></span>
    </button>
     <div class="collapse navbar-collapse" id="navbarCollapse">
      <?php
      $locations = get_nav_menu_locations();
      if (isset($locations['header_menu'])) {
         wp_nav_menu(array(
           'theme_location'=>'header_menu',
           'container'=>false,
           'depth'=>3,
           'menu_class'=>'nav navbar-nav',
           'walker'=>new eroshik_savp_walker_nav_header(),
           'fallback_cb' => 'wp_page_menu',
        ));
      }
      ?>
    </div>
    </nav>
</div><!--nav_conatiner-->
