<?php
$align_f="text-center";
  switch (get_theme_mod('footer_text_align','c')){
    case 'l':
      $align_f='text-left';
    break;
    case 'r':
      $align_f='text-right';
    break;
    case 'c':
      $align_f='text-center';
    break;
  }

    $copy_right_text=get_theme_mod('footer_copy_right_text','Copyright Eroshiksavp');
    $bg_footer=get_theme_mod('footer_bg','#FFFFFF');
    $footer_tc=get_theme_mod('footer_text_color', '#5a5560');
    $bg_footer_copy=get_theme_mod('footer_copy_right_bg','#5a5560');
    $tc_footer_copy=get_theme_mod('footer_copy_right_t_color','#FAED26');
    $footer_copy_right_text_size=esc_attr(get_theme_mod('footer_copy_right_text_size','15px'));
 ?>
<footer style="background-color:<?php echo esc_attr($bg_footer); ?>; color: <?php echo esc_attr($footer_tc); ?>;" class="eroshik_savp_footer">

<?php if(
    is_active_sidebar('eroshik-footer-first') ||
    is_active_sidebar('eroshik-footer-second') ||
    is_active_sidebar('eroshik-footer-third') ||
    is_active_sidebar('eroshik-footer-fourth')
  ){?>
<div class="footer_top">
  <?php get_template_part('/inc/templates/footer-top'); ?>
</div>
<?php } ?>
<div class="col-xs-12 col-sm-12   footer_copy" style="background-color:<?php echo esc_attr($bg_footer_copy); ?>" >
  <p style="color:<?php echo esc_attr($tc_footer_copy); ?>; font-size:<?php echo esc_attr($footer_copy_right_text_size); ?>; " class="eroshik_footer_text <?php echo esc_attr($align_f); ?>"><?php echo esc_html($copy_right_text)  ?></p>
</div>
</footer>
<?php wp_footer(); ?>
  <button onclick="topFunction()" id="scrollTopBtn" title="<?php echo __('Go to top','eroshiksavp'); ?>"><i class="fa fa-chevron-circle-up"></i></button>
</body>
</html>
