<?php
if ( ! function_exists( 'eroshik_custom_breadcrumbs' ) ) {

function eroshik_custom_breadcrumbs() {


          echo '<ol  class="breadcrumb" >';

          /* For all pages other than front page */
          if (!is_front_page()) {
              echo '<li><a href="' . esc_url(home_url('/')) . '">'.__('Home', 'eroshiksavp').'</a></li>';
          }

          /* For index.php OR blog posts page */
          if (is_home()) {

              $page_for_posts = get_option('page_for_posts');
              if ($page_for_posts) {
                  $blog = get_post($page_for_posts);
                  echo '<li class="active">';
                  echo esc_html($blog->post_title);

                  echo '</li>';
              } else {
                  echo '<li class="active">';
                  echo __('Blog', 'eroshiksavp');

                  echo '<li>';
              }
          }

          if (is_category() || is_singular('post')) {
              $category = get_the_category();
              $ID = $category[0]->cat_ID;
              echo '<li>';
              echo get_category_parents($ID, TRUE, ' </li>', FALSE);

          }

          if (is_tax('gallery-item-type') || is_tax('department')) {

              $current_term = get_term_by('slug', get_query_var('term'), get_query_var('taxonomy'));
              if (!empty($current_term->name)) {
                  echo '<li class="active">';
                  echo esc_html($current_term->name);
                  echo  '</li>';
              }
          }


          if (is_singular('post') || is_page()) {

              echo '<li class="active">' .the_title("","",false) . '</li>';


          }

          if (is_tag()) {
              echo '<li>';
              echo __('Tag: ', 'eroshiksavp');
              echo single_tag_title('', FALSE);
              echo '</li>';
          }

          if (is_404()) {
              echo '<li>';
              echo __('404 - Page not Found', 'eroshiksavp');
              echo '</li>';


          }

          if (is_search()) {
              echo '<li>';
              echo __('Search', 'eroshiksavp');
              echo '</li>';
          }

          if (is_year()) {
              echo '</li>';
              echo get_the_time('Y');
              echo '</li>';
          }


          echo "</ol>";

          ?>
          <style>
          .page_header .breadcrumb li + li:before
          {
              content: '<?php echo '/'; ?>';
          }
          </style>
          <?php


}
}
?>
